﻿using System.Collections.Generic;
using System.Web.Mvc;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using SolidBlog.Controllers;
using SolidBlog.Models;

namespace SolidBlog.Tests.Controllers
{
    [TestClass]
    public class HomeControllerTest
    {
        [TestMethod]
        public void Index()
        {
            // Arrange
            var controller = new HomeController(new Fakes.FakePostRepository());

            // Act
            var result = controller.Index() as ViewResult;

            // Assert
            Assert.IsNotNull(result); // pretty weak test

            var model = result.ViewData.Model as List<Post>;
            Assert.IsNotNull(model);
            Assert.AreEqual(model[0].Title, "foo");

        }







        //[TestMethod]
        //public void Index()
        //{
        //    // Arrange
        //    var controller = new HomeController(new Fakes.FakePostRepository());

        //    // Act
        //    var result = controller.Index() as ViewResult;

        //    // Assert
            //var model = result.ViewData.Model as List<Post>;
            //Assert.IsNotNull(model);
            //Assert.AreEqual(model[0].Title, "foo");
        //}

        [TestMethod]
        public void About()
        {
            // Arrange
            var controller = new HomeController();

            // Act
            var result = controller.About() as ViewResult;

            // Assert
            Assert.IsNotNull(result);
        }
    }
}